package com.tencent.mm.pluginsdk.ui;

import android.graphics.Bitmap;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ah.d$a;
import com.tencent.mm.pluginsdk.ui.a.b;
import com.tencent.mm.sdk.platformtools.d;

public final class c extends i implements d$a {
    private a vgP;
    private int vgQ;

    public c(String str) {
        this(str, (byte) 0);
    }

    private c(String str, byte b) {
        super(new a(b.diS()), str, (byte) 0);
        AppMethodBeat.i(79674);
        this.vgP = (a) this.pqK;
        AppMethodBeat.o(79674);
    }

    public final void KL(int i) {
        AppMethodBeat.i(79675);
        if (this.vgQ != i || this.vgP == null || this.vgP.jMX == null || this.vgP.jMX.isRecycled()) {
            this.vgQ = i;
            af(d.LV(i));
            AppMethodBeat.o(79675);
            return;
        }
        AppMethodBeat.o(79675);
    }

    private void af(Bitmap bitmap) {
        if (this.vgP != null) {
            this.vgP.jMX = bitmap;
        }
    }
}
